using System;
using System.Collections.Generic;
using System.Text;

namespace PortoTuristico
{
    class BarcaVela:Barca
    {
        public int NumeroVele { get; private set; }
        private int lunghezza;
        public int Lungheza
        {
            get { return lunghezza; }
            private set
            {
                if (value < 10 || value > 24)
                    throw new Exception("inserire valore compreso tra 10 e 24");
                lunghezza = value;

            } 
        }

        public BarcaVela(int numeroVele, int lungheza, string nome, string nazionalita, int pesoMassimo)
            :base(nome,nazionalita,pesoMassimo)
        {
            NumeroVele = numeroVele;
            Lungheza = lungheza;
        }

        public override double CostoGiornaliero()
        {
            return base.CostoGiornaliero()+(lunghezza*10);
        }
        public override string Info()
        {
            return base.Info() + string.Format("Numero vele: {0}\nLunghezza: {1}\n", NumeroVele, Lungheza);
        }
        public override string ToString()
        {
            return base.ToString()+string.Format("{0}|{1}|",NumeroVele,Lungheza);
        }
    }
}
